# Class JSModelKitPopup

java.lang.Object
org.jmol.popup.GenericPopup
org.jmol.popup.JmolGenericPopup
org.jmol.modelkit.ModelKitPopup
org.jmol.awtjs2d.JSModelKitPopup

All Implemented Interfaces:
  `GenericMenuInterface`

public class JSModelKitPopup extends ModelKitPopup

## Field Summary

### Fields inherited from class ModelKitPopup

`bondRotationCheckBox, prevBondCheckBox`

### Fields inherited from class JmolGenericPopup

`frankPopup, menuText, nFrankList, vwr`

### Fields inherited from class GenericPopup

`allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

## Constructor Summary

Constructors
Constructor
Description
`JSModelKitPopup()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`getImageIcon(String fileName)`
`void`
`menuCheckBoxCallback(SC source)`
`void`
`menuHidePopup(SC popup)`
`void`
`menuShowPopup(SC popup, int x, int y)`

### Methods inherited from class ModelKitPopup

`appGetBooleanProperty, appRunSpecialCheckBox, appUpdateForShow, appUpdateSpecialCheckBoxValue, clearLastModelSet, exitBondRotation, getBundle, getScriptForCallback, getUnknownCheckBoxScriptToRun, jpiShow, jpiUpdateComputedMenus, menuClickCallback, menuFocusCallback, setActiveMenu, updateAllXtalMenuOptions, updateCheckBoxesForModelKit, updateOperatorMenu`

### Methods inherited from class JmolGenericPopup

`appFixLabel, appRestorePopupMenu, appRunScript, initialize, jpiDispose, jpiGetMenuAsObject, jpiInitialize, showFrankMenu`

### Methods inherited from class GenericPopup

`addMenu, addMenuItem, addMenuItems, appCheckItem, appCheckSpecialMenu, appGetMenuAsString, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSModelKitPopup

public JSModelKitPopup()

## Method Details

### menuShowPopup

public void menuShowPopup(SC popup, int x, int y)

Specified by:
  `menuShowPopup` in class `GenericPopup`

### menuHidePopup

public void menuHidePopup(SC popup)

Specified by:
  `menuHidePopup` in class `ModelKitPopup`

### getImageIcon

protected Object getImageIcon(String fileName)

Specified by:
  `getImageIcon` in class `GenericPopup`

### menuCheckBoxCallback

public void menuCheckBoxCallback(SC source)

Overrides:
  `menuCheckBoxCallback` in class `GenericPopup`